<?php
// Copyright 1999-2024. Plesk International GmbH. All rights reserved.
?>
<script type="text/javascript">
//<![CDATA[
    Jsw.onReady(function() {
        new Jsw.Panel({
            renderTo: '<?php echo $this->renderTo ?>',
            renderMode: 'top',
            cls: 'tools-list-box',
            items: [{
                componentType: 'Jsw.ListContainer',
                cls: 'tools-list',
                itemClass: 'tools-item',
                items: [
                <?php if ($this->buttonEnable): ?>{
                    id: 'button-enable',
                    componentType: 'Smb.ToolButton',
                    attrs: { 'data-method': 'post' },
                    icon: '<?php echo $this->skinUrl('/icons/32/plesk/enable.png') ?>',
                    title: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonEnable') ?>,
                    comment: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonEnableHint') ?>,
                    href: '/iis-app-pool/enable<?php echo isset($this->ownerId) ? '/id/' . $this->ownerId : '' ?>'
                },<?php endif ?>
                <?php if ($this->buttonDisable): ?>{
                    id: 'button-disable',
                    componentType: 'Smb.ToolButton',
                    attrs: { 'data-method': 'post' },
                    icon: '<?php echo $this->skinUrl('/icons/32/plesk/disable.png') ?>',
                    title: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonDisable') ?>,
                    comment: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonDisableHint') ?>,
                    href: '/iis-app-pool/disable<?php echo isset($this->ownerId) ? '/id/' . $this->ownerId : '' ?>'
                },<?php endif ?>
                <?php if ($this->buttonStart): ?>{
                    id: 'button-start',
                    componentType: 'Smb.ToolButton',
                    attrs: { 'data-method': 'post' },
                    icon: '<?php echo $this->skinUrl('/icons/32/plesk/start.png') ?>',
                    title: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonStart') ?>,
                    comment: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonStartHint') ?>,
                    href: '/iis-app-pool/start<?php echo isset($this->ownerId) ? '/id/' . $this->ownerId : '' ?>',
                    indicateProgress: true,
                    waitMessage: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.waitMessage') ?>
                },<?php endif ?>
                <?php if ($this->buttonStop): ?>{
                    id: 'button-stop',
                    componentType: 'Smb.ToolButton',
                    attrs: { 'data-method': 'post' },
                    icon: '<?php echo $this->skinUrl('/icons/32/plesk/stop.png') ?>',
                    title: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonStop') ?>,
                    comment: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonStopHint') ?>,
                    href: '/iis-app-pool/stop<?php echo isset($this->ownerId) ? '/id/' . $this->ownerId : '' ?>',
                    indicateProgress: true,
                    waitMessage: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.waitMessage') ?>
                },<?php endif ?>
                <?php if ($this->buttonRecycle): ?>{
                    id: 'button-recycle',
                    componentType: 'Smb.ToolButton',
                    attrs: { 'data-method': 'post' },
                    icon: '<?php echo $this->skinUrl('/icons/32/plesk/recycle.png') ?>',
                    title: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonRecycle') ?>,
                    comment: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.buttonRecycleHint') ?>,
                    href: '/iis-app-pool/recycle<?php echo isset($this->ownerId) ? '/id/' . $this->ownerId : '' ?>',
                    indicateProgress: true,
                    waitMessage: <?php echo $this->jsLmsg('components.iis-app-pool-buttons.waitMessage') ?>
                },<?php endif ?>
                ]
            }]
        });
    });
//]]>
</script>
